﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using Newtonsoft.Json;
using Syncfusion.JavaScript;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        List<Roles> emp = new List<Roles>();
        List<Orders> Ord = new List<Orders>();
        public ActionResult Index()
        {
            BindDataSource();
            ViewBag.dataSource = Ord;
            ViewBag.dropData = emp;
            return View();
        }
        private void BindDataSource()
        {
            //Column DataSource
            emp.Add(new Roles(1, "Tester"));
            emp.Add(new Roles(2, "Engineer"));
            emp.Add(new Roles(3, "Manaul Tester"));
            emp.Add(new Roles(4, "Admin"));
            emp.Add(new Roles(5, "Automation"));
            emp.Add(new Roles(6, "Operator"));
            emp.Add(new Roles(7, "Build analyst"));
            emp.Add(new Roles(8, "Website"));
            emp.Add(new Roles(9, "Build analyst"));
            int code = 10000;
            for (int i = 1; i <= 9; i++)
            {
                string str = i.ToString() +"," + (i + 1).ToString();
                //Main dataSource for Grid
                Ord.Add(new Orders(code + 1, "ALFKI", i, 2.3 * i, new DateTime(1991, 05, 15), "Berlin" + i,str));
                code += 5;
            }
        }
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity, string RoleID)
            {
                this.OrderID = OrderId;
                this.RoleID = RoleID;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public string RoleID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }
        [Serializable]
        public class Roles
        {
            public Roles()
            {

            }
            public Roles(int RoleID, string FirstName)
            {

                this.RoleID = RoleID;
                this.Role = FirstName;
            }
            public int RoleID { get; set; }
            public string Role { get; set; }
        }
    }
}